2020-03-14  Karl Berry  <karl@freefriends.org>

	Import VSX support from upstream to TL configure.
	* configure.ac (powerpc-vsx): new AC_ARG_ENABLE, copied
	from libpng-src/configure.ac.
	* Makefile.am (nodist_libpng_a_SOURCES) [PNG_POWERPC_VSX]:
	add powerpc/*.c, copied from libpng-src/Makefile.am.
	From Johannes Hielscher, tlbuild mail 16 Feb 2020 23:09:54 (item 2).

2019-05-03 Akira Kakuto  <kakuto@w32tex.org>

	Import libpng-1.6.37.
	* version.ac: Adjust.

2019-02-14  Johannes Hielscher  <jhielscher@posteo.de>

	* Makefile.am (nodist_libpng_a_SOURCES) [PNG_ARM_NEON]: add
	@LIBPNG_TREE@/arm/palette_neon_intrinsics.c.
	tlbuild 12 Feb 2019 00:07:11.

2018-12-02 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.36.
	* version.ac: Adjust.

2018-07-17 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.35.
	* version.ac: Adjust.

2018-01-14  Karl Berry  <karl@freefriends.org>

	* configure.ac (-std=c89): reinstate check, now copying configure
	block from upstream; reautoconf.

2017-12-02  Karl Berry  <karl@freefriends.org>

	Import ARM support from upstream to TL configure.
	* Makefile.am (nodist_libpng_a_SOURCES): add arm/*.[cS] files
	per upstream Makefile.am.
	* configure.ac (AM_PROG_AS),
	(AC_ARG_ENABLE([arm-neon]): add.
	Report from Johannes Hielscher, tlbuild mail 1 Nov 2017 02:39:55.

2017-09-29 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.34.
	* version.ac: Adjust.

2017-08-24 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.32.
	* version.ac: Adjust.

2017-07-27 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.31.
	* version.ac: Adjust.

2017-06-28 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.30.
	* version.ac: Adjust.

2017-03-27  Karl Berry  <karl@freefriends.org>

	* Makefile.am (AM_TESTS_ENVIRONMENT): use instead of TESTS_ENVIRONMENT.
	(EXTRA_DIST): TLpatches not Tlpatches.

2017-03-16 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.29.
	* version.ac: Adjust.

2017-01-05 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.28.
	* version.ac: Adjust.

2016-12-29 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.27.
	* version.ac: Adjust.

2016-10-20 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.26.
	* version.ac: Adjust.

2016-09-01 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.25.
	* version.ac: Adjust.

2016-08-04 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.24.
	* version.ac: Adjust.

2016-06-09 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.23.
	* version.ac: Adjust.

2016-05-26 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.22.
	* version.ac: Adjust.

2016-03-30  Karl Berry  <karl@tug.org>

	* Makefile.am (AM_CPPFLAGS): remove LIBPNG_USER_CPPFLAGS per Mojca.
	http://tug.org/pipermail/tlbuild/2016q1/003440.html

2016-03-28  Karl Berry  <karl@tug.org>

	* configure.ac: insert check for -std=c89 from Mojca.

2016-02-15  Karl Berry  <karl@tug.org>

	* libpng-PATCHES: rename from libpng-src-PATCHES.
	* Makefile.am (EXTRA_DIST): likewise.

2016-01-20  Karl Berry  <karl@tug.org>

	* Makefile.am (AM_CPPFLAGS): add LIBPNG_USER_CPPFLAGS for Mojca.
	http://tug.org/pipermail/tlbuild/2016q1/003327.html

2016-01-15 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.21.
	* version.ac: Adjust.

2015-12-28 Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import libpng-1.6.20.
	* version.ac: Adjust.

2015-08-01 Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.18.
	* version.ac: Adjust.

2015-07-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Better dependencies for 'make check'.

2015-03-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.17.
	* version.ac: Adjust.

2015-02-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use the fragment ../../am/dist_hook.am.

2014-12-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.16.
	* version.ac: Adjust.

2014-12-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Added KPSE_COMPILER_VISIBILITY.
	* Makefile.am [AM_CFLAGS]: Added $(VISIBILITY_CFLAGS).

2014-11-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.15.
	* version.ac: Adjust.

2014-10-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.14.
	* version.ac: Adjust.

2014-08-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.13.
	* version.ac: Adjust.

2014-06-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.12.
	* version.ac: Adjust.
	* Makefile.am: Drop the obsolete ACLOCAL_AMFLAGS.

2014-03-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.10.
	* version.ac: Adjust.

2014-02-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.9.
	* version.ac: Adjust.

2014-01-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.8.
	* version.ac: Adjust.

2012-07-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use ../../am/reconfig.am and ../../am/rebuild.am.

2013-07-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* include/Makefile.am: Moved Makefile fragments to ../../am/.

2013-06-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.17.
	* version.ac: Adjust.

2013-06-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (SUBDIRS): Build the library first.

2013-06-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.16 (downgrade).
	* version.ac: Adjust.

2013-06-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.2.
	* version.ac: Adjust.

2013-04-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.1.
	* version.ac: Adjust.

2013-02-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.6.0.
	* version.ac: Adjust.

2013-01-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Allow subdir-objects.

2012-12-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Use KPSE_BASIC to enable silent rules.

2012-11-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-09-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.13.
	* version.ac: Adjust.

2012-07-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.12.
	* version.ac: Adjust.

2012-03-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.10.
	* version.ac: Adjust.

2012-02-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* include/Makefile.am: Use ../am/hdr_links.am.

2012-02-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.9.
	* version.ac: Adjust.

2011-12-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.7.
	* version.ac: Adjust.
	* configure.ac: Add AC_C_RESTRICT as in libpng-1.5.7.

2011-10-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.5.
	* version.ac: Adjust.

2011-07-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.4.
	* version.ac: New file defining the libpng version.
	* configure.ac: Adapt.

2011-04-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.5.2.
	* configure.ac, include/Makefile.am: Adjust.

2010-09-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.4.4.

2010-03-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am, libpng-*-PATCHES/TL-Changes: Remove ltmain.sh.
	* configure.ac: Remove libpng_major, libpng_minor, and
	libpng_micro, we only use libpng_version.

2009-11-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.2.40.

2009-08-13  Martin Schröder <martin@oneiros.de>

	Import libpng-1.2.39.

	* libpng-1.2.38-PATCHES: Remove our one patch

2009-07-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* libpng-1.2.38-PATCHES: New directory to hold patches, if any,
	applied to the distributed source tree.
	* Makefile.am: Adjust.

2009-07-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.2.38.

	* configure.ac: switch libpng version number.
	* svn mv libpng-1.2.37 libpng-1.2.38: update source tree.
	* update files in libpng-1.2.38.

	* libpng-1.2.38/png.c (png_64bit_product): declare as static.

2009-06-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: enable compiler warnings.
	* Makefile.am (AM_CFLAGS): enable compiler warnings.

	* libpng-1.2.37/png.c (png_64bit_product): declare as static.

2009-06-04  Martin Schröder <martin@oneiros.de>

	Import libpng-1.2.37.

	* configure.ac: switch libpng version number.
	* svn mv libpng-1.2.36 libpng-1.2.37: update source tree.
	* update files in libpng-1.2.37.

2009-05-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.2.36.

	* configure.ac: switch libpng version number.
	* libpng-1.2.36/ (new): new source tree.
	* libpng-1.2.35/ (removed): old source tree.

2009-03-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import libpng-1.2.35.

	* configure.ac: switch libpng version number.
	* libpng-1.2.35/ (new): new source tree.
	* libpng-1.2.34/ (removed): old source tree.

2009-03-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

(This ChangeLog file is public domain.)
